---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libByteArrayCriticalLocker.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL10objFieldId, symObjAddr: 0x438A8, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0xA2, offset: 0xA2, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x438B0, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x5F5E, offset: 0x5F5E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_gc_lock_jni_ByteArrayCriticalLocker_criticalNative, symObjAddr: 0xC70, symBinAddr: 0x2368, symSize: 0x430 }
  - { offsetInCU: 0x6454, offset: 0x6454, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetObjectClassEP8_jobjectiPKc, symObjAddr: 0x10F0, symBinAddr: 0x27E8, symSize: 0x114 }
  - { offsetInCU: 0x666C, offset: 0x666C, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDEC1IP7_jclassPKcS8_EEP23ExceptionCheckingJniEnvS8_T_T0_T1_iS8_, symObjAddr: 0x20B8, symBinAddr: 0x3140, symSize: 0xFC }
  - { offsetInCU: 0x6873, offset: 0x6873, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDED1Ev, symObjAddr: 0x21B4, symBinAddr: 0x323C, symSize: 0x25C }
  - { offsetInCU: 0x6AA2, offset: 0x6AA2, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetObjectFieldEP8_jobjectP9_jfieldIDiPKc, symObjAddr: 0x12B4, symBinAddr: 0x28FC, symSize: 0x138 }
  - { offsetInCU: 0x6D03, offset: 0x6D03, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14SetObjectFieldEP8_jobjectP9_jfieldIDS1_iPKc, symObjAddr: 0x13EC, symBinAddr: 0x2A34, symSize: 0x138 }
  - { offsetInCU: 0x6F8C, offset: 0x6F8C, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetArrayLengthEP7_jarrayiPKc, symObjAddr: 0x1524, symBinAddr: 0x2B6C, symSize: 0x104 }
  - { offsetInCU: 0x7215, offset: 0x7215, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv29ReleasePrimitiveArrayCriticalEP7_jarrayPviiPKc, symObjAddr: 0x17C0, symBinAddr: 0x2DA8, symSize: 0x13C }
  - { offsetInCU: 0x749E, offset: 0x749E, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv25GetPrimitiveArrayCriticalEP7_jarrayPhiPKc, symObjAddr: 0x1628, symBinAddr: 0x2C70, symSize: 0x138 }
  - { offsetInCU: 0x7727, offset: 0x7727, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0x10A0, symBinAddr: 0x2798, symSize: 0x50 }
  - { offsetInCU: 0x795E, offset: 0x795E, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x1A10, symBinAddr: 0x2EE4, symSize: 0x25C }
  - { offsetInCU: 0x7D5A, offset: 0x7D5A, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectED1Ev, symObjAddr: 0x2548, symBinAddr: 0x3498, symSize: 0x25C }
  - { offsetInCU: 0x8182, offset: 0x8182, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvED1Ev, symObjAddr: 0x27A4, symBinAddr: 0x36F4, symSize: 0x25C }
  - { offsetInCU: 0x895E, offset: 0x895E, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0x51F4, symBinAddr: 0x395C, symSize: 0x5C }
  - { offsetInCU: 0x8C02, offset: 0x8C02, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDE17DecimalToAsciiRecEPci, symObjAddr: 0x52AC, symBinAddr: 0x39B8, symSize: 0x5C }
  - { offsetInCU: 0x8D6F, offset: 0x8D6F, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectE17DecimalToAsciiRecEPci, symObjAddr: 0x5308, symBinAddr: 0x3A14, symSize: 0x5C }
  - { offsetInCU: 0x8EDC, offset: 0x8EDC, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvE17DecimalToAsciiRecEPci, symObjAddr: 0x5364, symBinAddr: 0x3A70, symSize: 0x5C }
...
